* {
  box-sizing: border-box;
}



.item_masonry {
  width:  60px;
  height: 60px;
  float: left;
  border: 1px solid;
  background: #09F;
}

.item_masonry.w2 { width: 120px; }
.item_masonry.w3 { width: 180px; }
.item_masonry.w4 { width: 240px; }

.item_masonry.h2 { height: 100px; }
.item_masonry.h3 { height: 160px; }
.item_masonry.h4 { height: 220px; }
.item_masonry.h5 { height: 280px; }

.stamp {
  background: red;
  opacity: 0.75;
  position: absolute;
  border: 1px solid;
}